Page MenuHomePhabricator

Private wiki for Project Grants Committee
Closed, ResolvedPublic

Description

I need help setting up a new private wiki for the Project Grants Committee.

This is the wiki that we used for the Individual Engagement Grants committee: https://iegcom.wikimedia.org/wiki/Main_Page

It was only accessible by the IEG Committee and related WMF staff. I was able to add and remove people as needed as members joined and left the committee. I was able to delete pages when needed (after sensitive discussions that we didn't want to be discoverable later).

I'd like to set up an identical kind of wiki for the new Project Grants Committee, which has replaced the IEG Committee (IEG no longer exists). If possible, I'd like the new wiki to be at https://projectcom.wikimedia.org. In the logo area (where it says IEG Committee under the Wikimedia logo in the IEG Committee wiki), please have it say Project Grants Committee, instead of IEG Committee.

Both myself and Alex Wang should have the privileges described above for the new wiki.

If this is not a complicated task, and someone could show me how to do it, I'm interested in learning.

Please let me know if any further information is needed.

Details

Related Gerrit Patches:

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 305095 had a related patch set uploaded (by Dzahn):
realm: add 'projectcom' to private wiki list

https://gerrit.wikimedia.org/r/305095

Change 305120 had a related patch set uploaded (by Dzahn):
add projectcom.wikimedia.org for new private wiki

https://gerrit.wikimedia.org/r/305120

Why "projectcom"? I would have expected something like "projectgrants" or "grantscom" / "grantscommittee".

Also, if the reason for the new wiki is just that IEG was replaced with this new one, that looks like an argument for using the same old wiki (would you for instance continue using some of those pages?). You could continue using it (bad name for historical reasons) or we could see about renaming its url (annoying as it would be).

Program Officers are already using projectgrants and projectcom as handles to distinguish between general programmatic workflows, and committee-specific workflows, so it would be confusing to call the committee wiki projectgrants. Since there are five grants committees, grantscom/grantscommittee isn't specific enough. It could be called projectgrantscommittee... just seemed too long to us.

Unfortunately, it's not as simple as the new wiki just replacing the old one. Project Grants, as a program, merges IEG and portions of PEG (two former grants programs that both closed with the launch of Project Grants). Each of the programs had associated communities who participated in them, and they'll now be largely merged. Because of the merge, the workflows, purpose and participants on the new wiki are all changed, and naming the wiki after one of the two former programs is problematic since it might appear to be privileging one of the two former programs over the others.

[ Moving in discussion on the site requests workboard pending definitive name choice. ]

What about https://grants.wikimedia.org/? There's already a private wiki here. Will that work?

If https://iegcom.wikimedia.org/ is dead, can it be marked as closed?

Nemo_bis rescinded a token.
Nemo_bis awarded a token.

MZMcBride, I've asked Katy Love about https://grants.wikimedia.org/. I'm not familiar with that wiki. I'll let you know what I find out.

What does it mean for a wiki to be marked as closed? I would like to reserve ongoing access to https://iegcom.wikimedia.org/ for reference in the future, but it's highly unlikely that any further edits will be made there.

Dzahn changed the task status from Open to Stalled.Aug 23 2016, 8:35 PM
Dzahn triaged this task as Medium priority.
Dzahn added a comment.Aug 24 2016, 3:53 PM

@MZMcBride, I've asked Katy Love about https://grants.wikimedia.org/. I'm not familiar with that wiki. I'll let you know what I find out.
What does it mean for a wiki to be marked as closed? I would like to reserve ongoing access to https://iegcom.wikimedia.org/ for reference in the future, but it's highly unlikely that any further edits will be made there.

Change 305120 abandoned by Dzahn:
add projectcom.wikimedia.org for new private wiki

Reason:
no consensus about the name of the wiki

https://gerrit.wikimedia.org/r/305120

Poulpy from fr.wikipedia suggests to use the abbreviation pgc.wikimedia.org. That would let the other concurrent names free for others wikis and would match the real name of the committee.

@Mjohnson_WMF what are your plans to pick a name and so we can move this task forward?

Past experience shows the database name is a real blocker as nobody is currently interested to prepare a workflow to rename databases, and as such, database names should be definitive and match a logic.

My preference for the URL remains https://projectcom.wikimedia.org. As an abbreviated handle, projectcom matches what we're already using in various places so the committee recognizes it and I prefer the consistency. This only applies to the URL. The fully displayed name on the mainpage, however, should be Project Grants Committee, not projectcom.

Dzahn removed a subscriber: Dzahn.Sep 16 2016, 1:22 AM
Restricted Application added a project: Traffic. · View Herald TranscriptOct 4 2016, 1:09 PM
BBlack moved this task from Triage to Watching on the Traffic board.Oct 4 2016, 1:09 PM
BBlack moved this task from Watching to BadHerald on the Traffic board.Oct 4 2016, 1:27 PM

@Dereckson I'm not sure that's the best possible subdomain, but if after discussing it they still think that's the most suited one, I won't oppose either.

Dereckson removed projects: Traffic, Domains.EditedOct 9 2016, 8:17 PM
Dereckson added a subscriber: BBlack.

@Platonides okay.

So as we don't have any better suggestion, I'm going to work on this.

@BBlack Anything tagged Domains go to Traffic.

Dereckson claimed this task.Oct 9 2016, 8:17 PM
Zppix added a subscriber: Zppix.Oct 9 2016, 8:20 PM

I am no means probably even supposed to comment on this task but in my opinion i think it should be called projgrant or some other variant of that.

Dereckson removed Dereckson as the assignee of this task.Oct 9 2016, 9:17 PM
Dereckson added a comment.EditedOct 9 2016, 9:19 PM

I've prepared a poll with the Zppix's suggestion and the Marti's choice.

{V11}

Adding the current members of the Project Grants committee so we can get more input.

Note an argument against projectgrants and other variants have been given:

Program Officers are already using projectgrants and projectcom as handles to distinguish between general programmatic workflows, and committee-specific workflows, so it would be confusing to call the committee wiki projectgrants. Since there are five grants committees, grantscom/grantscommittee isn't specific enough. It could be called projectgrantscommittee... just seemed too long to us.

Dereckson updated the task description. (Show Details)Oct 10 2016, 1:10 PM

As a committee member I am fine with projectcom.wikimedia.org. It seems the best choice among available names.

As the poll doesn't give strong and clear input, and excepted if someone gives a formal opposition on this task in the next days, projectcom.wikimedia.org will be the final domain.

I'll prepare next week the required changes, with the goal to schedule a window Thursday 2016-11-03 for this, as the same time than for ec.wikimedia.org.

@Dereckson ack no debate from my end with that decision

Change 305120 restored by Dzahn:
add projectcom.wikimedia.org for new private wiki

Reason:
requested by Dereckson

https://gerrit.wikimedia.org/r/305120

Dereckson changed the task status from Stalled to Open.Nov 1 2016, 7:07 PM

Change 305095 had a related patch set uploaded (by Dzahn):
realm: add 'projectcom' to private wiki list

https://gerrit.wikimedia.org/r/305095

Change 319123 had a related patch set uploaded (by Dereckson):
Add projectcom.wikimedia.org to Apache

https://gerrit.wikimedia.org/r/319123

projectcom is a bad name for a wiki database name. If this is a wiki, it must contain the wik string e.g. (enwiktionary, enwiki, ptwikimedia, etc.). This is true for all wikis right now, and while technically it is not enforced, I know several consumers that assume that in order to list WMF wikis:

~/mediawiki-config$ grep -c wik dblists/all.dblist 
898
:~/mediawiki-config$ wc -l dblists/all.dblist 
898 dblists/all.dblist

Note the wiki can have any name or domain, this is only for the database name. For example, projectcomwiki db -> projectcom.wikimedia.org.

When this is solved, allow me to block this to check that, as this is a private wiki, be 100% sure no data is sent to labs.

Dereckson added a comment.EditedNov 2 2016, 2:41 PM

The dbname should indeed be projectcomwiki, like we have strategywiki.

jcrespo claimed this task.Nov 2 2016, 2:47 PM

Will claim now to make sure this doesn't reach labs, will unclaim when done.

Change 305095 merged by Jcrespo:
realm: add 'projectcom' to private wiki list

https://gerrit.wikimedia.org/r/305095

Dereckson updated the task description. (Show Details)Nov 2 2016, 4:06 PM
jcrespo removed jcrespo as the assignee of this task.Nov 3 2016, 6:53 AM

My part is done, process can continue. This will not reach labs.

jcrespo moved this task from Triage to Done on the DBA board.Nov 3 2016, 6:54 AM
Dereckson claimed this task.EditedNov 3 2016, 12:02 PM

Thanks. Next step is Apache and DNS, for which patches have been provided by Daniel.

Meanwhile, I'm preparing the MediaWiki initial configuration.

If all is ready, I'll create the wiki Monday 2016-11-07.

Change 319123 merged by Dzahn:
Add projectcom.wikimedia.org to Apache

https://gerrit.wikimedia.org/r/319123

Change 305120 merged by Dzahn:
add projectcom.wikimedia.org for new private wiki

https://gerrit.wikimedia.org/r/305120

Mentioned in SAL (#wikimedia-operations) [2016-11-07T20:21:12Z] <mutante> projectcom.wikimedia.org created in DNS (T143138)

Reedy removed a subscriber: Reedy.Nov 7 2016, 8:25 PM

Change 320298 had a related patch set uploaded (by Dereckson):
Initial configuration for projectcom.wikimedia.org

https://gerrit.wikimedia.org/r/320298

Change 320298 merged by jenkins-bot:
Initial configuration for projectcom.wikimedia.org

https://gerrit.wikimedia.org/r/320298

Wiki creation is done.

@Mjohnson_WMF I sent you a mail with credentials information. It's a bureaucrat account, so you can then create accounts for other committee members and staff requiring access.

@Mjohnson_WMF so next steps are you confirm you can log in, create an "AWang (WMF)" account, and edit the first page to explain this is the Project Grants Committee private wiki, who can access it and why it's restricted.

From our side, as soon as you confirm us you can login, edit a page and create an account for another user, we can consider the wiki as created.

Krenair reassigned this task from Dereckson to Mjohnson_WMF.Dec 3 2016, 4:40 PM

So, to give a little status update, @Mjohnson_WMF sent me 3 days ago a mail explaining there are some login issue, and I sent instructions by mail how to solve that.

Krenair added a comment.EditedDec 11 2016, 1:04 AM

@Mjohnson_WMF, how's that going? Multiple important people went to the (quite large) trouble of creating this wiki, so if you don't have time to finish setting it up we will offer to hand it over to someone else who will.

Hi there,

I still haven't been able to log in. I tried to follow the instructions,
but still haven't been able to get it to work. I am under tremendous
deadline pressure to finish the current grantmaking round, so I don't have
a lot of bandwidth to further investigate until after December 17.

In any case, once I can get in, I can take it from there. We absolutely
appreciate the work that went into creating this, and this wiki will get
used for many years. At the moment, we are making due with google docs,
and there are many reasons it isn't an appropriate or effective tool for
our actual needs, so it will be really helpful to get stuff transferred
over to this wiki for the next round.

Thanks,

Marti

*Marti JohnsonProgram Officer*
*Individual Grants*
*Wikimedia Foundation http://wikimediafoundation.org/wiki/Home*
+1 415-839-6885
Skype: Mjohnson_WMF

Imagine a world in which every single human being can freely share
http://youtu.be/ci0Pihl2zXY in the sum of all knowledge. Help us make it
a reality!
Support Wikimedia https://donate.wikimedia.org/

Okay, let's try to debug after the 18th

@Mjohnson_WMF Could you connect to IRC and ping me so we can test and debug that together? My nickname is Dereckson.

@Mjohnson_WMF: Would you be in for debugging that?

Dereckson added a comment.EditedMar 21 2017, 11:21 AM

Current status: we should ask another projectcom member to continue the wiki setup.

I tried to ask to @Lena in the past, whom was abroad at this time. I'm going to try with @Superzerocool (active on a recent grant on meta)

Dereckson removed Mjohnson_WMF as the assignee of this task.Mar 21 2017, 11:22 AM

Mentioned in SAL (#wikimedia-operations) [2017-03-21T12:27:43Z] <Dereckson> Create account Superzerocool on projectcomwiki (bureaucrat, T143138)

Mentioned in SAL (#wikimedia-operations) [2017-03-21T12:34:14Z] <Dereckson> Created OATHAuth tables on projectcomwiki (T143138)

Dereckson closed this task as Resolved.Mar 21 2017, 12:52 PM
Dereckson claimed this task.

So issue was OATHAuth tables were missing. When @Superzerocool tried to login, it got a database error, pointing directly in the logs ot this error (could be new, in January, logs didn't contain that by the way). I created the missing tables, and all works fine Meanwhile, we added them to createExtensionTables.php (25fd0acc) and to addWiki.php (8b6813d5).

Next steps are for the committee to setup the wiki. All is done from our side.